diff --git a/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.field_instance.inc b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.field_instance.inc
new file mode 100644
index 00000000..94615ec3
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.field_instance.inc
@@ -0,0 +1,485 @@
+<?php
+
+/**
+ * @file
+ * date_test_feature.features.field_instance.inc
+ */
+
+/**
+ * Implements hook_field_default_field_instances().
+ */
+function date_test_feature_field_default_field_instances() {
+  $field_instances = array();
+
+  // Exported field_instance: 'node-date_test_feature-body'.
+  $field_instances['node-date_test_feature-body'] = array(
+    'bundle' => 'date_test_feature',
+    'default_value' => NULL,
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'hidden',
+        'module' => 'text',
+        'settings' => array(),
+        'type' => 'text_default',
+        'weight' => 0,
+      ),
+      'teaser' => array(
+        'label' => 'hidden',
+        'module' => 'text',
+        'settings' => array(
+          'trim_length' => 600,
+        ),
+        'type' => 'text_summary_or_trimmed',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'body',
+    'label' => 'Body',
+    'required' => FALSE,
+    'settings' => array(
+      'display_summary' => TRUE,
+      'text_processing' => 1,
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'module' => 'text',
+      'settings' => array(
+        'rows' => 20,
+        'summary_rows' => 5,
+      ),
+      'type' => 'text_textarea_with_summary',
+      'weight' => 1,
+    ),
+  );
+
+  // Exported field_instance: 'node-date_test_feature-field_date'.
+  $field_instances['node-date_test_feature-field_date'] = array(
+    'bundle' => 'date_test_feature',
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'above',
+        'module' => 'date',
+        'settings' => array(
+          'custom_date_format' => '',
+          'format_type' => 'medium',
+          'fromto' => 'both',
+          'multiple_from' => '',
+          'multiple_number' => '',
+          'multiple_to' => '',
+          'show_remaining_days' => FALSE,
+          'show_repeat_rule' => 'show',
+        ),
+        'type' => 'date_default',
+        'weight' => 1,
+      ),
+      'teaser' => array(
+        'label' => 'above',
+        'settings' => array(),
+        'type' => 'hidden',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'field_date',
+    'label' => 'Date',
+    'required' => FALSE,
+    'settings' => array(
+      'default_value' => 'now',
+      'default_value2' => 'blank',
+      'default_value_code' => '',
+      'default_value_code2' => '',
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'active' => 1,
+      'module' => 'date',
+      'settings' => array(
+        'display_all_day' => 0,
+        'increment' => 1,
+        'input_format' => 'm/d/Y - H:i:s',
+        'input_format_custom' => '',
+        'label_position' => 'above',
+        'no_fieldset' => 0,
+        'repeat_collapsed' => 0,
+        'text_parts' => array(),
+        'year_range' => '-3:+3',
+      ),
+      'type' => 'date_text',
+      'weight' => 2,
+    ),
+  );
+
+  // Exported field_instance: 'node-date_test_feature-field_date_range'.
+  $field_instances['node-date_test_feature-field_date_range'] = array(
+    'bundle' => 'date_test_feature',
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'above',
+        'module' => 'date',
+        'settings' => array(
+          'custom_date_format' => '',
+          'format_type' => 'medium',
+          'fromto' => 'both',
+          'multiple_from' => '',
+          'multiple_number' => '',
+          'multiple_to' => '',
+          'show_remaining_days' => FALSE,
+          'show_repeat_rule' => 'show',
+        ),
+        'type' => 'date_default',
+        'weight' => 2,
+      ),
+      'teaser' => array(
+        'label' => 'above',
+        'settings' => array(),
+        'type' => 'hidden',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'field_date_range',
+    'label' => 'Date range',
+    'required' => FALSE,
+    'settings' => array(
+      'default_format' => 'medium',
+      'default_value' => 'now',
+      'default_value2' => 'strtotime',
+      'default_value_code' => '',
+      'default_value_code2' => '+7 days',
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'active' => 1,
+      'module' => 'date',
+      'settings' => array(
+        'display_all_day' => 0,
+        'increment' => 1,
+        'input_format' => 'm/d/Y - H:i:s',
+        'input_format_custom' => '',
+        'label_position' => 'above',
+        'repeat_collapsed' => 0,
+        'text_parts' => array(),
+        'year_range' => '-3:+3',
+      ),
+      'type' => 'date_text',
+      'weight' => 3,
+    ),
+  );
+
+  // Exported field_instance: 'node-date_test_feature-field_date_repeat'.
+  $field_instances['node-date_test_feature-field_date_repeat'] = array(
+    'bundle' => 'date_test_feature',
+    'default_value' => NULL,
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'above',
+        'module' => 'date',
+        'settings' => array(
+          'custom_date_format' => '',
+          'format_type' => 'medium',
+          'fromto' => 'both',
+          'multiple_from' => '',
+          'multiple_number' => '',
+          'multiple_to' => '',
+          'show_remaining_days' => FALSE,
+          'show_repeat_rule' => 'show',
+        ),
+        'type' => 'date_default',
+        'weight' => 7,
+      ),
+      'teaser' => array(
+        'label' => 'above',
+        'settings' => array(),
+        'type' => 'hidden',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'field_date_repeat',
+    'label' => 'Date with repeat',
+    'required' => FALSE,
+    'settings' => array(
+      'default_format' => 'medium',
+      'default_value' => 'now',
+      'default_value2' => 'blank',
+      'default_value_code' => '',
+      'default_value_code2' => '',
+      'repeat_collapsed' => 0,
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'active' => 1,
+      'module' => 'date',
+      'settings' => array(
+        'display_all_day' => 0,
+        'increment' => 1,
+        'input_format' => 'm/d/Y - H:i:s',
+        'input_format_custom' => '',
+        'label_position' => 'above',
+        'repeat_collapsed' => 0,
+        'text_parts' => array(),
+        'year_range' => '-3:+3',
+      ),
+      'type' => 'date_select',
+      'weight' => 8,
+    ),
+  );
+
+  // Exported field_instance: 'node-date_test_feature-field_datestamp'.
+  $field_instances['node-date_test_feature-field_datestamp'] = array(
+    'bundle' => 'date_test_feature',
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'above',
+        'module' => 'date',
+        'settings' => array(
+          'custom_date_format' => '',
+          'format_type' => 'medium',
+          'fromto' => 'both',
+          'multiple_from' => '',
+          'multiple_number' => '',
+          'multiple_to' => '',
+          'show_remaining_days' => FALSE,
+          'show_repeat_rule' => 'show',
+        ),
+        'type' => 'date_default',
+        'weight' => 3,
+      ),
+      'teaser' => array(
+        'label' => 'above',
+        'settings' => array(),
+        'type' => 'hidden',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'field_datestamp',
+    'label' => 'Datestamp',
+    'required' => FALSE,
+    'settings' => array(
+      'default_format' => 'medium',
+      'default_value' => 'now',
+      'default_value2' => 'blank',
+      'default_value_code' => '',
+      'default_value_code2' => '',
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'active' => 1,
+      'module' => 'date',
+      'settings' => array(
+        'display_all_day' => 0,
+        'increment' => 1,
+        'input_format' => 'm/d/Y - H:i:s',
+        'input_format_custom' => '',
+        'label_position' => 'above',
+        'repeat_collapsed' => 0,
+        'text_parts' => array(),
+        'year_range' => '-3:+3',
+      ),
+      'type' => 'date_text',
+      'weight' => 4,
+    ),
+  );
+
+  // Exported field_instance: 'node-date_test_feature-field_datestamp_range'.
+  $field_instances['node-date_test_feature-field_datestamp_range'] = array(
+    'bundle' => 'date_test_feature',
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'above',
+        'module' => 'date',
+        'settings' => array(
+          'custom_date_format' => '',
+          'format_type' => 'medium',
+          'fromto' => 'both',
+          'multiple_from' => '',
+          'multiple_number' => '',
+          'multiple_to' => '',
+          'show_remaining_days' => FALSE,
+          'show_repeat_rule' => 'show',
+        ),
+        'type' => 'date_default',
+        'weight' => 4,
+      ),
+      'teaser' => array(
+        'label' => 'above',
+        'settings' => array(),
+        'type' => 'hidden',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'field_datestamp_range',
+    'label' => 'Datestamp range',
+    'required' => FALSE,
+    'settings' => array(
+      'default_format' => 'medium',
+      'default_value' => 'now',
+      'default_value2' => 'strtotime',
+      'default_value_code' => '',
+      'default_value_code2' => '+3 months',
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'active' => 1,
+      'module' => 'date',
+      'settings' => array(
+        'display_all_day' => 0,
+        'increment' => 1,
+        'input_format' => 'm/d/Y - H:i:s',
+        'input_format_custom' => '',
+        'label_position' => 'above',
+        'repeat_collapsed' => 0,
+        'text_parts' => array(),
+        'year_range' => '-3:+3',
+      ),
+      'type' => 'date_select',
+      'weight' => 5,
+    ),
+  );
+
+  // Exported field_instance: 'node-date_test_feature-field_datetime'.
+  $field_instances['node-date_test_feature-field_datetime'] = array(
+    'bundle' => 'date_test_feature',
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'above',
+        'module' => 'date',
+        'settings' => array(
+          'custom_date_format' => '',
+          'format_type' => 'medium',
+          'fromto' => 'both',
+          'multiple_from' => '',
+          'multiple_number' => '',
+          'multiple_to' => '',
+          'show_remaining_days' => FALSE,
+          'show_repeat_rule' => 'show',
+        ),
+        'type' => 'date_default',
+        'weight' => 5,
+      ),
+      'teaser' => array(
+        'label' => 'above',
+        'settings' => array(),
+        'type' => 'hidden',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'field_datetime',
+    'label' => 'Datetime',
+    'required' => FALSE,
+    'settings' => array(
+      'default_format' => 'medium',
+      'default_value' => 'now',
+      'default_value2' => 'blank',
+      'default_value_code' => '',
+      'default_value_code2' => '',
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'active' => 1,
+      'module' => 'date',
+      'settings' => array(
+        'display_all_day' => 0,
+        'increment' => 1,
+        'input_format' => 'm/d/Y - H:i:s',
+        'input_format_custom' => '',
+        'label_position' => 'above',
+        'repeat_collapsed' => 0,
+        'text_parts' => array(),
+        'year_range' => '-3:+3',
+      ),
+      'type' => 'date_text',
+      'weight' => 6,
+    ),
+  );
+
+  // Exported field_instance: 'node-date_test_feature-field_datetime_range'.
+  $field_instances['node-date_test_feature-field_datetime_range'] = array(
+    'bundle' => 'date_test_feature',
+    'deleted' => 0,
+    'description' => '',
+    'display' => array(
+      'default' => array(
+        'label' => 'above',
+        'module' => 'date',
+        'settings' => array(
+          'custom_date_format' => '',
+          'format_type' => 'medium',
+          'fromto' => 'both',
+          'multiple_from' => '',
+          'multiple_number' => '',
+          'multiple_to' => '',
+          'show_remaining_days' => FALSE,
+          'show_repeat_rule' => 'show',
+        ),
+        'type' => 'date_default',
+        'weight' => 6,
+      ),
+      'teaser' => array(
+        'label' => 'above',
+        'settings' => array(),
+        'type' => 'hidden',
+        'weight' => 0,
+      ),
+    ),
+    'entity_type' => 'node',
+    'field_name' => 'field_datetime_range',
+    'label' => 'Datetime range',
+    'required' => FALSE,
+    'settings' => array(
+      'default_format' => 'medium',
+      'default_value' => 'now',
+      'default_value2' => '+1 week',
+      'default_value_code' => '',
+      'default_value_code2' => '+1 year',
+      'user_register_form' => FALSE,
+    ),
+    'widget' => array(
+      'active' => 1,
+      'module' => 'date',
+      'settings' => array(
+        'display_all_day' => 0,
+        'increment' => 1,
+        'input_format' => 'm/d/Y - H:i:s',
+        'input_format_custom' => '',
+        'label_position' => 'above',
+        'repeat_collapsed' => 0,
+        'text_parts' => array(),
+        'year_range' => '-3:+3',
+      ),
+      'type' => 'date_text',
+      'weight' => 7,
+    ),
+  );
+
+  // Translatables
+  // Included for use with string extractors like potx.
+  t('Body');
+  t('Date');
+  t('Date range');
+  t('Date with repeat');
+  t('Datestamp');
+  t('Datestamp range');
+  t('Datetime');
+  t('Datetime range');
+
+  return $field_instances;
+}
diff --git a/drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.features.inc b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.inc
similarity index 64%
rename from drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.features.inc
rename to drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.inc
index 34b15d2c..215c035e 100644
--- a/drupal7/sites/all/modules/date/date_migrate/date_migrate_example/date_migrate_example.features.inc
+++ b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.features.inc
@@ -2,16 +2,16 @@
 
 /**
  * @file
- * Examples and test folder for migration into date fields.
+ * date_test_feature.features.inc
  */
 
 /**
  * Implements hook_node_info().
  */
-function date_migrate_example_node_info() {
+function date_test_feature_node_info() {
   $items = array(
-    'date_migrate_example' => array(
-      'name' => t('Migrate example - dates'),
+    'date_test_feature' => array(
+      'name' => t('Date Test'),
       'base' => 'node_content',
       'description' => t('This content type is used for demonstrating and testing migration into Date fields.'),
       'has_title' => '1',
@@ -19,5 +19,6 @@ function date_migrate_example_node_info() {
       'help' => '',
     ),
   );
+  drupal_alter('node_info', $items);
   return $items;
 }
diff --git a/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.info b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.info
new file mode 100644
index 00000000..57996e8f
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.info
@@ -0,0 +1,34 @@
+name = Date Test Feature
+description = Examples of migrating with the Date module, primarily for use with tests.
+core = 7.x
+package = Date/Time
+hidden = TRUE
+version = VERSION
+dependencies[] = date:date
+dependencies[] = date:date_repeat
+dependencies[] = date:date_repeat_field
+dependencies[] = features:features
+features[features_api][] = api:2
+features[field_base][] = body
+features[field_base][] = field_date
+features[field_base][] = field_date_range
+features[field_base][] = field_date_repeat
+features[field_base][] = field_datestamp
+features[field_base][] = field_datestamp_range
+features[field_base][] = field_datetime
+features[field_base][] = field_datetime_range
+features[field_instance][] = node-date_test_feature-body
+features[field_instance][] = node-date_test_feature-field_date
+features[field_instance][] = node-date_test_feature-field_date_range
+features[field_instance][] = node-date_test_feature-field_date_repeat
+features[field_instance][] = node-date_test_feature-field_datestamp
+features[field_instance][] = node-date_test_feature-field_datestamp_range
+features[field_instance][] = node-date_test_feature-field_datetime
+features[field_instance][] = node-date_test_feature-field_datetime_range
+features[node][] = date_test_feature
+
+; Information added by Drupal.org packaging script on 2021-03-05
+version = "7.x-2.11"
+core = "7.x"
+project = "date"
+datestamp = "1614952728"
diff --git a/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.install b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.install
new file mode 100644
index 00000000..7c990c85
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.install
@@ -0,0 +1,16 @@
+<?php
+
+/**
+ * @file
+ * Install, update and uninstall functions for the Date Test Feature module.
+ */
+
+/**
+ * Implements hook_uninstall().
+ */
+function date_test_feature_uninstall() {
+  node_type_delete('date_test_feature');
+  variable_del('node_preview_date_test_feature');
+  node_types_rebuild();
+  menu_rebuild();
+}
diff --git a/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.module b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.module
new file mode 100644
index 00000000..1a1e306a
--- /dev/null
+++ b/drupal7/sites/all/modules/date/tests/date_test_feature/date_test_feature.module
@@ -0,0 +1,8 @@
+<?php
+
+/**
+ * @file
+ * Migration integration for Date Migrate Example.
+ */
+
+include_once 'date_test_feature.features.inc';
